Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.pdfclown.documents.interaction.annotations
Enum FileAttachment.IconTypeEnum

    java.lang.Object
      java.lang.Enum<FileAttachment.IconTypeEnum>
          org.pdfclown.documents.interaction.annotations.FileAttachment.IconTypeEnum

All Implemented Interfaces:
  Serializable, Comparable<FileAttachment.IconTypeEnum>

Enclosing class:
  FileAttachment

    public static enum FileAttachment.IconTypeEnum

extends Enum<FileAttachment.IconTypeEnum>

Icon to be used in displaying the annotation [PDF:1.6:8.4.5].

Enum Constant Summary
`Graph` Graph.
`PaperClip` Paper clip.
`PushPin` Push pin.
`Tag` Tag.

Method Summary
`static FileAttachment.IconTypeEnum` | `get(PdfName value)` Gets the icon type corresponding to the given value.
`PdfName` | `getCode()`
`static FileAttachment.IconTypeEnum` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static FileAttachment.IconTypeEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Graph

    public static final FileAttachment.IconTypeEnum Graph

  Graph.

### PaperClip

    public static final FileAttachment.IconTypeEnum PaperClip

  Paper clip.

### PushPin

    public static final FileAttachment.IconTypeEnum PushPin

  Push pin.

### Tag

    public static final FileAttachment.IconTypeEnum Tag

  Tag.

Method Detail

### values

    public static FileAttachment.IconTypeEnum[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (FileAttachment.IconTypeEnum c : FileAttachment.IconTypeEnum.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static FileAttachment.IconTypeEnum valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### get

    public static FileAttachment.IconTypeEnum get(PdfName value)

  Gets the icon type corresponding to the given value.

### getCode

    public PdfName getCode()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.